PATCH /api/pinned_event

Spaces method and path for this operation:

patch /s/{space_id}/api/pinned_event

Refer to Spaces for more information.

Pin/unpin an event to/from an existing Timeline.

application/json

Body Required

The pinned event to add or unpin, along with additional metadata.

  • eventId string Required

    The _id of the associated event for this pinned event.

  • pinnedEventId string | null

    The savedObjectId of the pinned event you want to unpin.

  • timelineId string Required

    The savedObjectId of the timeline that you want this pinned event unpinned from.

Responses

  • 200 application/json

    Indicates a successful call.

    One of:
PATCH /api/pinned_event
curl \
 --request PATCH 'https://<KIBANA_URL>/api/pinned_event' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"eventId":"d3a1d35a3e84a81b2f8f3859e064c224cdee1b4bc","timelineId":"15c1929b-0af7-42bd-85a8-56e234cc7c4e"}'
Request example
{
  "eventId": "d3a1d35a3e84a81b2f8f3859e064c224cdee1b4bc",
  "timelineId": "15c1929b-0af7-42bd-85a8-56e234cc7c4e"
}
Response examples (200)
{
  "eventId": "d3a1d35a3e84a81b2f8f3859e064c224cdee1b4bc",
  "pinnedEventId": "10r1929b-0af7-42bd-85a8-56e234f98h2f3",
  "timelineId": "15c1929b-0af7-42bd-85a8-56e234cc7c4e",
  "version": "WzQ2LDFe"
}
{
  "unpinned": true
}